﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    [DataContract]
    public class Champion
    {
        [DataMember]
        public string Name { get; private set; }
        [DataMember]
        public string Titre { get; private set; }
        [DataMember]
        public string Image { get; private set; }
        [DataMember]
        public List<Ability> Abilities { get; private set; }

        public Champion(string name,string titre,string image, List<Ability> abilities)
        {
            // Le constructeur de la classe Champion initialise le nom le titre le nom de l'image et les abilités du champion.
            Name = name;
            Titre = titre;
            Image = image;
            Abilities = new List<Ability>(abilities);
        }
        public Champion(string name, string titre, string image)
        {
            // Le constructeur de la classe Champion initialise le nom le titre et le nom de l'image du champion.
            Name = name;
            Titre = titre;
            Image = image;
            Abilities = new List<Ability>();
        }
    }
}
